Subject: [mpls] RtgDir review: draft-ietf-mpls-tp-itu-t-identifiers-06.txt

From: "Hejia (Jia)" <[email-masked]>
Date: Fri, 4 Jan 2013 09:37:43 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://www.ietf.org/iesg/directorate/routing.html

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-mpls-tp-itu-t-identifiers-06.txt
Reviewer: Jia He
Review Date: Jan 4, 2013
IETF LC End Date: Jan 4, 2013

Intended Status: Standards Track

Summary:

I have one minor concern about this document that I think should be resolved before publication.

Comments:

The document is well structured and easy to understand. It is a useful draft that complements the MPLS-TP draft set.

Major Issues:
No major issues found.

Minor Issues:

1) Section 7, the description of "maintenance entities" needs review.

Section 7 has the following description about "maintenance entities", which confusingly implies that MEPs or MIPs are MEs.

   These maintenance entities can be e.g.  Maintenance
   Entity Group End Points (MEPs) or Maintenance Entity Group
   Intermediate Points (MIPs).

However, there is explicit definition of "maintenance entity" in RFC 6371 (see below), which indicates a relationship, not separately MEPs or MIPs.

   Maintenance Entity (ME): Some portion of a transport path that
   requires management bounded by two points (called MEPs), and the
   relationship between those points to which maintenance and monitoring
   operations apply

Therefore, it is suggested to replace the sentence "These maintenance entities can be..." with the definition of MEPs and MIPs in RFC 6371, or remove all the definition description of MEGs, MEPs and MIPs in this paragraph and refer to RFC 6371.

Nits:

Section 6
s/In stead of/Instead of

Section 7
s/enties/entities

Section 7.1
s/CC:ICC:UMC/CC::ICC::UMC

B.R.
Jia